\section{Introduction}
With over 98\% of all manufactured microcontrollers being embedded microcontrollers~\cite{ebert2009embedded}, developing and operating such devices is a major area of responsibility.
Around 50\% of software development time is spent for making code work and resolving defects (commonly referred to as \emph{bugs}) \cite{britton2013reversible}. For the sake of readability, this work refers to the aforementioned activities, identifying performance and hardware issues, etc. commonly as \emph{debugging}.

Debugging is not limited to the development process but might also be required in further phases of a device life cycle.
The phases of a device life cycle encompass different debugging scenarios with different characteristics and constraints.
For example, the development process on the one hand and monitoring in production on the other hand have completely different challenges (i.e. easily adaptable debugging vs. constant debugging output).

The deeper a device is embedded, the harder the debugging.
While common debugging tools require physical access to the device to transfer debug logs, deeply embedded devices are normally not physically accessible~\cite{DBLP:journals/sigbed/Mohan08}.
The situation is even more difficult when the embedded device is also mobile.

In this work, we focus on exploring different debugging techniques for mobile embedded devices.
We also analyze how these techniques map to different phases of a device's life cycle and how they can improve the debugging experience.
To assess the applicability of the different techniques in practice, we conduct a case study with self-driving slot cars.
In addition to the analysis and case study, we confirm previous research~\cite{DBLP:conf/isorc/RichterGP15} in that our lab setting is suited for imitating real-world challenges regarding the development and operation of embedded devices.